Organization
Users and User Groups
Permissions
Data Source
Workspaces
    Workspaces - Entity APIs
    Workspaces - Declarative APIs
    Data Filters
    Workspaces - Settings
    Appearance
      Get all Color PallettesgetPost Color PallettespostGet Color PallettegetPut Color PalletteputDelete a Color PallettedeletePatch Color PallettepatchGet all Theming entitiesgetPost ThemingpostGet TheminggetPut ThemingputDelete ThemingdeletePatch ThemingpatchGet all Workspace Color PalettesgetPost Workspace Color PalettepostGet a Workspace Color PalettegetPut a Workspace Color PaletteputDelete a Workspace Color PalettedeletePatch a Workspace Color PalettepatchGet all Workspace ThemesgetPost Workspace ThemepostGet a Workspace ThemegetPut a Workspace ThemeputDelete a Workspace ThemedeletePatch a Workspace Themepatch
    Plugins
    Hierarchy
    Translations
Logical Data Model
Analytical Objects
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Appearance

Endpoint:/

Get all Color Pallettes

GET
/api/v1/entities/colorPalettes

Get all Color Pallettes › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get all Color Pallettes › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/colorPalettes

Post Color Pallettes

POST
/api/v1/entities/colorPalettes

Post Color Pallettes › Request Body

  • dataobject · required

    JSON:API representation of colorPalette entity.

Post Color Pallettes › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of colorPalette entity.

  • linksobject
POST /api/v1/entities/colorPalettes

Get Color Pallette

GET
/api/v1/entities/colorPalettes/{id}

Get Color Pallette › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get Color Pallette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Get Color Pallette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of colorPalette entity.

  • linksobject
GET /api/v1/entities/colorPalettes/{id}

Put Color Pallette

PUT
/api/v1/entities/colorPalettes/{id}

Put Color Pallette › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put Color Pallette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put Color Pallette › Request Body

  • dataobject · required

    JSON:API representation of colorPalette entity.

Put Color Pallette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of colorPalette entity.

  • linksobject
PUT /api/v1/entities/colorPalettes/{id}

Delete a Color Pallette

DELETE
/api/v1/entities/colorPalettes/{id}

Delete a Color Pallette › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete a Color Pallette › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/colorPalettes/{id}

Patch Color Pallette

PATCH
/api/v1/entities/colorPalettes/{id}

Patch Color Pallette › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Color Pallette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch Color Pallette › Request Body

  • dataobject · required

    JSON:API representation of patching colorPalette entity.

Patch Color Pallette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of colorPalette entity.

  • linksobject
PATCH /api/v1/entities/colorPalettes/{id}

Get all Theming entities

GET
/api/v1/entities/themes

Get all Theming entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get all Theming entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/themes

Post Theming

POST
/api/v1/entities/themes

Post Theming › Request Body

  • dataobject · required

    JSON:API representation of theme entity.

Post Theming › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of theme entity.

  • linksobject
POST /api/v1/entities/themes

Get Theming

GET
/api/v1/entities/themes/{id}

Get Theming › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get Theming › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Get Theming › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of theme entity.

  • linksobject
GET /api/v1/entities/themes/{id}

Put Theming

PUT
/api/v1/entities/themes/{id}

Put Theming › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Put Theming › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put Theming › Request Body

  • dataobject · required

    JSON:API representation of theme entity.

Put Theming › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of theme entity.

  • linksobject
PUT /api/v1/entities/themes/{id}

Delete Theming

DELETE
/api/v1/entities/themes/{id}

Delete Theming › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete Theming › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/themes/{id}

Patch Theming

PATCH
/api/v1/entities/themes/{id}

Patch Theming › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch Theming › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch Theming › Request Body

  • dataobject · required

    JSON:API representation of patching theme entity.

Patch Theming › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of theme entity.

  • linksobject
PATCH /api/v1/entities/themes/{id}

Get all Workspace Color Palettes

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes

Get all Workspace Color Palettes › path Parameters

  • workspaceIdstring · required

Get all Workspace Color Palettes › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Workspace Color Palettes › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Workspace Color Palettes › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes

Post Workspace Color Palette

POST
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes

Post Workspace Color Palette › path Parameters

  • workspaceIdstring · required

Post Workspace Color Palette › query Parameters

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Workspace Color Palette › Request Body

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

Post Workspace Color Palette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes

Get a Workspace Color Palette

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Get a Workspace Color Palette › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Workspace Color Palette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Workspace Color Palette › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Workspace Color Palette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Put a Workspace Color Palette

PUT
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Put a Workspace Color Palette › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Workspace Color Palette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put a Workspace Color Palette › Request Body

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

Put a Workspace Color Palette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Delete a Workspace Color Palette

DELETE
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Delete a Workspace Color Palette › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Workspace Color Palette › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Patch a Workspace Color Palette

PATCH
/api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Patch a Workspace Color Palette › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Workspace Color Palette › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch a Workspace Color Palette › Request Body

  • dataobject · required

    JSON:API representation of patching workspaceColorPalette entity.

Patch a Workspace Color Palette › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceColorPalette entity.

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/workspaceColorPalettes/{objectId}

Get all Workspace Themes

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes

Get all Workspace Themes › path Parameters

  • workspaceIdstring · required

Get all Workspace Themes › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Workspace Themes › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Workspace Themes › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceThemes

Post Workspace Theme

POST
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes

Post Workspace Theme › path Parameters

  • workspaceIdstring · required

Post Workspace Theme › query Parameters

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Workspace Theme › Request Body

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

Post Workspace Theme › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/workspaceThemes

Get a Workspace Theme

GET
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Get a Workspace Theme › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Workspace Theme › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Workspace Theme › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Workspace Theme › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Put a Workspace Theme

PUT
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Put a Workspace Theme › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Workspace Theme › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Put a Workspace Theme › Request Body

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

Put a Workspace Theme › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Delete a Workspace Theme

DELETE
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Delete a Workspace Theme › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Workspace Theme › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Patch a Workspace Theme

PATCH
/api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Patch a Workspace Theme › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Workspace Theme › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch a Workspace Theme › Request Body

  • dataobject · required

    JSON:API representation of patching workspaceTheme entity.

Patch a Workspace Theme › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of workspaceTheme entity.

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/workspaceThemes/{objectId}

Workspaces - SettingsPlugins